@extends('usuarios.funcionarios.master.layout2')

@section('conteudo')
<nav class="d-none ">
    {{$cliente=\App\Models\Cliente::where('id',$id)->first()}}
    {{ $usuario= $cliente->getUser }}
    {{ $pessoa= $usuario->getPessoa }}
</nav> 
 <br><br>
<script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.16.9/xlsx.full.min.js" integrity="sha512-wBcFatf7yQavHQWtf4ZEjvtVz4XkYISO96hzvejfh18tn3OrJ3sPBppH0B6q/1SHB4OKHaNNUKqOmsiTGlOM/g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
 <div class="row ">
    <div class="col-md-3">
        <input class="form-control" type="file" id="inputFile" accept=".txt"  >
    </div>

    <!--<div class="col-md-12">-->
    <!--    <br>-->
    <!--    <button class="btn btn-sm  blue-gradient btn-rounded" id="btnConverte">Leitura dos dados  </button>-->
    <!--</div>-->

</div>
 
  
 <div class="row text-start">

    <div class="col-md-12">
        
         <div class="col-md-12  text-start position-relative">
            <br>
            <br>
            <div class="d-none">
                {{ $armazens=\App\Models\ArmazemModel::get() }}
            </div>
            <label for="validationTooltip02" class="form-label">Armazem</label>  <br>
            <select id="Sector4" class="position-relative form-control   bg-dark" style="width:400px;" >
                @foreach($armazens as $armazem)
                    <option value="{{$armazem->id}}"> {{Str::upper( $armazem->nomearmazem )}}</option>
                @endforeach

            </select>
        </div> 

    </div>
</div>
        <br><br>
     
        <button class="btn btn-rounded btn-sm blue-gradient btnProcessarDados" >Processar dados</button>
        <br><br>
<!--importar.dados.sca-->
<script>

    

    let selectedFile;
    var jsonPGeral=[];
    var json=[];
    $(function(){
        
        let data=[{
            "name":"jayanth",
            "data":"scd",
            "abc":"sdef"
        }]
        $("#Sector4").select2({
            placeholder: 'Selecione um armazém'
        });
   
        $(".btnProcessarDados").click(function(){
            // console.log(jsonPGeral);
              let armazem=$("#Sector4").val();
                                
            if(json<=0){
                $.alert("Insira um arquivo de configuração ou pressione novamente")
                return false;
            }
            $.confirm({
                title: 'Confirme a configuração!',
                content: 'Pressione confirmar para configurar o corredor',
                buttons: {

                    cancel: function () {
                        $.alert('Cancelado!');
                    },
                    somethingElse: {
                        text: 'Confirmar',
                        btnClass: 'btn-blue',
                        keys: ['enter', 'shift'],
                        action: function(){
                            $.confirm({
                                content: function(){
                                    var self = this;
                                    // self.setContent('Checking callback flow');
                                    // 'idCliente': idBase,'idCorredor':idCorredor,
                                  
                                    return $.post( "{{ route('us.admin.cliente.import.dep') }}",
                                    { '_token':  '{{ csrf_token()  }}','json':jsonPGeral,'armazem':armazem},
                                    function(info){
                                            if (info==1){
                                                // $.alert(info)
                                                self.setContentAppend('<div>Configuração feita com sucesso!</div>');
                                                // window.location.replace("");
                                            }
                                        }
                                    ) ;
                                },
                                contentLoaded: function(data, status, xhr){
                                    // self.setContentAppend('<div>Content loaded!</div>');
                                },
                                onContentReady: function(){
                                    // this.setContentAppend('<div>Content ready!</div>');
                                }
                            });
                        }
                    }
                }
            });

        });
        
            console.clear();
        let ArmazemId
        let ArmazemNome
        $("#inputFile").change(function(event){
            selectedFile = event.target.files[0];
           
            ArmazemId='{{$armazem->id}}';
            ArmazemNome='{{$armazem->nomearmazem}}';
            
            var fileInput = $(this);
            var input = fileInput.get(0);
            var reader = new FileReader();
            if (input.files.length) {
                
                var textFile = input.files[0]; 
                // console.log(textFile);
                reader.readAsText(textFile); 
                
                $(reader).on('load', processFile);
            }
            
            console.clear(); 

         } );
         $("#btnConverte").click(function(){
        })
        
        function processFile(e) {
            var file = e.target.result,results;
            var lines=results;
            var courrentFileira="";
            let idsCaixas=[];
            let numCaixas=[]; 
            let Estados=[]; 
            let Corredores=[];
            let Modulos=[];
            let Fileiras=[];
            let Celulas=[];
            let Loc=[];
            let Data=[];
            
            if (file && file.length) {
                results = file.split(";");
                retorno = 0;
                for(var i in results){
                    console.log("\nLinha "+i+":")
                    var row =  results[i];
                    let estado;
                    let id;
                    let numCaixa;
                    let corredor
                    let modulo
                    let fileira
                    let celula
                    let newRow=row.split("-");;                                                                                            
                    for (j in newRow){
                        console.log(j);
                        if(j==0)
                        {
                            id=newRow[0].replace('\n','');
                            // console.log(newRow[0])
                            id=id.replace('\r','');
                            idsCaixas[i]=id;
                        }
                        else if(j==1)
                        {
                            numCaixa=newRow[j].replace('\n','');
                            numCaixa=numCaixa.replace('\r','');
                            numCaixas[i]=numCaixa;
                        }
                        
                        else if(j==2)
                        {
                            estado=newRow[j].replace('\n','');
                            estado=estado.replace('\r','');
                            Estados[i]=estado; 
                             
                            
                        }
                        else if(j==3)
                        {
                                
                                
                            if (estado=="ARRUMADO"){
                                
                                corredor=newRow[3].replace('\n','');
                                corredor=corredor.replace('\r','');
                                Corredores[i]=corredor;
                            
                            
                            
                                modulo=newRow[4].replace('\n','');
                                modulo=modulo.replace('\r','');
                                Modulos[i]=modulo;
                                
                                
                                
                                fileira=newRow[5].replace('\n','');
                                fileira=fileira.replace('\r','');
                                Fileiras[i]=fileira;
                                
                                
                                
                                celula=newRow[6].replace('\n','');
                                celula=celula.replace('\r','');
                                Celulas[i]=celula;  
                                
                                
                                Loc.push([corredor,modulo,fileira,celula])
                                
                            }else{
                                
                            }
                            
                        }
                         
                    }
                    


                    
                    // if (estado=='ARRUMADO'){
    
                    //     Data.push([id,numCaixa,estado,corredor,modulo,fileira,celula])
                    // }
                        Data.push([id,numCaixa])
                    // }
                    // // console.log(newRow)
                    
                }
            }
            console.log("Dados:")
            console.table(Data)

            $.post( "{{ route('us.admin.cliente.import.text.data') }}",
            { '_token':  '{{ csrf_token()  }}',
            'Data':Data,
            'Armazem':ArmazemNome,
            'ArmazemId':ArmazemId,
           
              
            },
            function(info){
                if (info==1){
                    // $.alert(info)
                    self.setContentAppend('<div>Configuração feita com sucesso!</div>');
                    // window.location.replace("");
                }
            }
            ) ;
        }
    })
</script>
@endsection